/**
   \mainpage PDS Random Variable
   <br>
   \author Fernando Pujaico Rivera
   \date 03 de noviembre del 2015

	\tableofcontents


	\section Download Descarga
    La última versión de la biblioteca PDS Random Variable (libpdsrv) puede ser descargafa de este 
    <a href="http://download.savannah.gnu.org/releases/pdsplibrary/src/libpdsrv/">enlace</a>

	\section desc_sec Descripción
   "PDS Random Variable"(libdsrv) es una biblioteca escrita en C, para trabajar 
   con variables aleatorias (o RV por sus siglas en ingles). 

   Usando PdsRv es posible generar RV's de tipo:<br>
   <ul>    
   	<li>Secuencia congruencial</li>
   	<li>Uniformemente distribuida</li>
   	<li>Gaussiana</li>
   	<li>Rayleigh</li>
   	<li>Exponencial</li>
	<li>Poisson</li>
   </ul>
   <br>
   \section ModoUso Modo de uso:
   Todas las funciones para crear una variable aleatoria de tipo "tipova" siguen 
   el siguiente formato.


   \subsection New New: 
   La funci&oacute;n de creaci&oacute;n de variable se llamar&aacute;:
   @verbatim
   PdsTipova *pds_tipova_new(....);
   @endverbatim
   Los parámetros de esta función dependerá del tipo de RV, n&oacute;tese que devuelve 
   un puntero al tipo PdsTipova.


   \subsection Get Get:
   La funci&oacute;n para la petici&oacute;n de un elemento de la RV X es:
   @verbatim
   PdsRvReal     
   PdsRvInteger		pds_tipova_get_value(PdsTipova *X);
   PdsRvNaturalD 
   @endverbatim
   Como se ve, esta funci&oacute;n recibe un puntero a la RV X, y luego extrae un 
   elemento de X en cada llamada a esta funci&oacute;n. Los valores devueltos por esta 
   funci&oacute;n pueden ser variables de tipo  PdsRvInteger, PdsRvNaturalD o PdsRvReal, 
   seg&uacute;n el tipo de variable aleatoria X.
   Tambi&eacute;n es posible pedir a la RV X el &uacute;ltimo valor generado, 
   para conseguir esto, se usan las siguientes funciones seg&uacute;n sea el 
   tipo de variable de X.
   @verbatim
   PdsRvReal     
   PdsRvInteger		pds_tipova_get_last_value(PdsTipova *X);
   PdsRvNaturalD 
   @endverbatim


   \subsection Destroy Destroy:
   La funci&oacute;n para liberar la RV  X es:
   @verbatim
   void    pds_tipova_free(PdsTipova *X);
   @endverbatim
   Si adem&aacute;s de liberar la memoria, se desea cargar a la RV X con un NULL, se debe 
   usar:
   @verbatim
   void    pds_tipova_destroy (PdsTipova **X);
   @endverbatim

	\section comp_subsec Compilando e instalando la biblioteca Pds Random Variable
	Para compilar la biblioteca <b>Pds Random Variable</b> es necesario tener en cuenta
	el siguiente diagrama de dependencias de bibliotecas. 
	<center>
	\image html compilar.png "Crear/Compilar la biblioteca Pds Random Variable."
	</center>
	Como se puede ver, son necesarios los archivos de definiciones `*.h`  y 
	las bibliotecas empaquetadas en binario (`*.a` o `*.so`).
	Para instalar la biblioteca solo es necesario:<br>
\code{.h}
	# Define donde se instalará la biblioteca, ejemplo: /usr
	./configure	--prefix=/usr
	# Compilar e instalar la biblioteca
	make
	sudo make install
\endcode

	\section link_subsec Usando la biblioteca para compilar un programa
	Una vez instalada la biblioteca <b>Pds Random Variable</b>, para que esta pueda
	ser	usada por algún otro proyecto, es necesario tener en cuenta el
	siguiente diagrama de dependencia de la biblioteca. 
	<center>
	\image html enlazar.png "Usar/Enlazar la biblioteca Pds Random Variable."
	</center>
	Como se vé, esta solamente depende de la biblioteca estándar de C.	 
	Para usar <b>Pds Random Variable</b> en un proyecto (como test.c), 
	se debe agregar la siguiente cabecera al inicio del código fuente.
\code{.h}
	#include <pds/pdsrv.h>
\endcode
	Esto incluirá todas las definiciones de las funciones de la biblioteca
    Pds Random Variable.

    \subsection Compilando Compilando un ejemplo
	Luego para compilar <b>enlazando estaticamente</b> (Statically linked) un archivo 
    de código fuente llamado test.c, debe ser usado el siguiente comando
\code{.h}
	gcc -static -o test test.c -lpdsrv
\endcode
    Por otro lado si se desea compilar <b>enlazando dinamicamente</b> (Dynamically linked) un archivo 
    de código fuente llamado test.c, debe ser usado el siguiente comando
\code{.h}
	gcc -o test test.c -lpdsrv
\endcode

    \subsection CompilandoPkgConfig Compilando un ejemplo - usando pkg-config
    Adicionalmente es posible usar pkg-config para obtener los datos de 
    configuración del proceso de compilación.
    \warning Es necesario tener instalado pkg-config

\code{.h}
 #Statically linked.

	gcc -static -o test test.c `pkg-config --libs  --cflags libpdsrv`
\endcode
<br>
\code{.h}
 #Dynamically linked.

	gcc -o test test.c `pkg-config --libs  --cflags libpdsrv`
\endcode
    
    \section Version Versión
    Es posible conocer la version instalada de la biblioteca libpdsrv usando
    el siguiente comando<br>
\code{.h}
	pkg-config --modversion libpdsrv
\endcode

*/

